Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.ps
Class PSImageFormResource

    java.lang.Object
      org.apache.xmlgraphics.ps.PSResource
          org.apache.fop.render.ps.PSImageFormResource

All Implemented Interfaces:
  java.lang.Comparable

    public class PSImageFormResource

extends org.apache.xmlgraphics.ps.PSResource

PostScript Resource class representing a FOP form. This is used by PSRenderer to keep track of images.

Field Summary

Fields inherited from class org.apache.xmlgraphics.ps.PSResource
`TYPE_CIDFONT, TYPE_CMAP, TYPE_ENCODING, TYPE_FILE, TYPE_FONT, TYPE_FORM, TYPE_PATTERN, TYPE_PROCSET`

Constructor Summary
`PSImageFormResource(int id, java.lang.String uri)` Create a new Form Resource.
`PSImageFormResource(java.lang.String name, java.lang.String uri)` /** Create a new Form Resource.

Method Summary
`java.lang.String` | `getImageURI()` Returns the image URI.

Methods inherited from class org.apache.xmlgraphics.ps.PSResource
`compareTo, equals, getName, getResourceSpecification, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PSImageFormResource

    public PSImageFormResource(int id,
                               java.lang.String uri)

  Create a new Form Resource.

  Parameters:
    `id` - An ID for the form
    `uri` - the URI to the image

### PSImageFormResource

    public PSImageFormResource(java.lang.String name,
                               java.lang.String uri)

  /** Create a new Form Resource.

  Parameters:
    `name` - the name of the resource
    `uri` - the URI to the image

Method Detail

### getImageURI

    public java.lang.String getImageURI()

  Returns the image URI.

  Returns:
    the image URI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.